capture log close
log using wflec-data-merge01-matchmerge, replace text
version 13.1
clear all
set linesize 80
macro drop _all
set scheme s1manual

//  WF lectures: datasets - match merge datasets

local pgm wflec-data-merge01
local dte 2017-06-17
local who Scott Long
local tag "`pgm'.do `who' `dte'"

//  #1 check signatures and load the master dataset

use wf-nls-flim05, clear
datasignature confirm

use wf-nls-cntrl07, clear
datasignature confirm

//  #2 merge flim and control and check _merge

merge 1:1 id using wf-nls-flim05

//  #3 save merged file

local dsn "wflec-data-merge01"
drop _merge
quietly compress
label data "`dsn'.dta | WF merged NLS flim & control variables | `dte'"
note: `dsn'.dta / `tag' / example of one to one merging
datasignature set, reset
save `dsn', replace

log close
exit
